qmf::ConsoleEvent Class Reference

Apache Qpid - AMQP Messaging for Java JMS, C++, Python, Ruby, and .NET | Apache Qpid Documentation

- Main Page
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Protected Types | Protected Attributes
qmf::ConsoleEvent Class Reference

`#include <qmf/ConsoleEvent.h>`

List of all members.

## Public Member Functions
| ConsoleEvent (ConsoleEventImpl *impl=0)
| ConsoleEvent (const ConsoleEvent &)
ConsoleEvent & | operator= (const ConsoleEvent &)
| ~ConsoleEvent ()
ConsoleEventCode | getType () const
uint32_t | getCorrelator () const
Agent | getAgent () const
AgentDelReason | getAgentDelReason () const
uint32_t | getSchemaIdCount () const
SchemaId | getSchemaId (uint32_t) const
uint32_t | getDataCount () const
Data | getData (uint32_t) const
bool | isFinal () const
const qpid::types::Variant::Map & | getArguments () const
int | getSeverity () const
uint64_t | getTimestamp () const
QMF_INLINE_EXTERN bool | isValid () const
QMF_INLINE_EXTERN bool | isNull () const
QMF_INLINE_EXTERN | operator bool () const
| Conversion to bool supports idiom if (handle) { handle->...
QMF_INLINE_EXTERN bool | operator! () const
| Operator ! supports idiom if (!handle) { do_if_handle_is_null(); }.
void | swap (Handle< T > &h)
## Protected Types
typedef T | Impl
## Protected Attributes
Impl * | impl

## Member Typedef Documentation

typedef T qmf::Handle::Impl`[protected, inherited]`

Definition at line 56 of file Handle.h.

## Constructor & Destructor Documentation

qmf::ConsoleEvent::ConsoleEvent | ( | ConsoleEventImpl * | impl = `0` | ) |

qmf::ConsoleEvent::ConsoleEvent | ( | const ConsoleEvent & |  | ) |

qmf::ConsoleEvent::~ConsoleEvent | ( |  | ) |

## Member Function Documentation

Agent qmf::ConsoleEvent::getAgent | ( |  | ) | const

AgentDelReason qmf::ConsoleEvent::getAgentDelReason | ( |  | ) | const

const qpid::types::Variant::Map& qmf::ConsoleEvent::getArguments | ( |  | ) | const

uint32_t qmf::ConsoleEvent::getCorrelator | ( |  | ) | const

Data qmf::ConsoleEvent::getData | ( | uint32_t |  | ) | const

uint32_t qmf::ConsoleEvent::getDataCount | ( |  | ) | const

SchemaId qmf::ConsoleEvent::getSchemaId | ( | uint32_t |  | ) | const

uint32_t qmf::ConsoleEvent::getSchemaIdCount | ( |  | ) | const

int qmf::ConsoleEvent::getSeverity | ( |  | ) | const

uint64_t qmf::ConsoleEvent::getTimestamp | ( |  | ) | const

ConsoleEventCode qmf::ConsoleEvent::getType | ( |  | ) | const

bool qmf::ConsoleEvent::isFinal | ( |  | ) | const

QMF_INLINE_EXTERN bool qmf::Handle::isNull | ( |  | ) | const`[inline, inherited]`

Returns:
  true if handle is null. It is an error to call any function on a null handle.

Definition at line 45 of file Handle.h.

QMF_INLINE_EXTERN bool qmf::Handle::isValid | ( |  | ) | const`[inline, inherited]`

Returns:
  true if handle is valid, i.e. not null.

Definition at line 42 of file Handle.h.

QMF_INLINE_EXTERN qmf::Handle::operator bool | ( |  | ) | const`[inline, inherited]`

Conversion to bool supports idiom if (handle) { handle->...

}

Definition at line 48 of file Handle.h.

QMF_INLINE_EXTERN bool qmf::Handle::operator! | ( |  | ) | const`[inline, inherited]`

Operator ! supports idiom if (!handle) { do_if_handle_is_null(); }.

Definition at line 51 of file Handle.h.

ConsoleEvent& qmf::ConsoleEvent::operator= | ( | const ConsoleEvent & |  | ) |

void qmf::Handle::swap | ( | Handle< T > & | h | ) | `[inline, inherited]`

Definition at line 53 of file Handle.h.

## Member Data Documentation

Impl* qmf::Handle::impl`[protected, inherited]`

Definition at line 63 of file Handle.h.

The documentation for this class was generated from the following file:

- qmf/ConsoleEvent.h